=== added file '.testr.conf'
--- .testr.conf	1970-01-01 00:00:00 +0000
+++ .testr.conf	2010-02-28 10:08:29 +0000
@@ -0,0 +1,3 @@
+[DEFAULT]
+test_command=./bzr selftest --subunit $IDOPTION
+test_id_option=--load-list $IDFILE

=== modified file 'NEWS'
--- NEWS	2010-02-27 12:27:33 +0000
+++ NEWS	2010-02-28 19:53:48 +0000
@@ -121,7 +121,14 @@
 Testing
 *******
 
-* New `bzrlib.tests.test_import_tariff` can make assertions about what
+* bzr now has a ``.testr.conf`` file in its source tree configured
+  appropriately for running tests with Testrepository
+  (``https://launchpad.net/testrepository``). (Robert Collins)
+
+* Documentation about testing with ``subunit`` has been tweaked.
+  (Robert Collins)
+
+* New ``bzrlib.tests.test_import_tariff`` can make assertions about what
   Python modules are loaded, to guard against startup time or library
   dependency regressions.
   (Martin Pool)

=== modified file 'doc/developers/testing.txt'
--- doc/developers/testing.txt	2010-02-10 02:03:20 +0000
+++ doc/developers/testing.txt	2010-02-28 10:08:29 +0000
@@ -144,11 +144,44 @@
 -------------
 
 Bazaar can optionally produce output in the machine-readable subunit_
-format, so that test output can be post-processed by various tools.
+format, so that test output can be post-processed by various tools. To
+generate a subunit test stream::
+
+ $ ./bzr selftest --subunit
+
+Processing such a stream can be done using a variety of tools including:
+
+* The builtin ``subunit2pyunit``, ``subunit-filter``, ``subunit-ls``,
+  ``subunit2junitxml`` from the subunit project.
+
+* tribunal_, a GUI for showing test results.
+
+* testrepository_, a tool for gathering and managing test runs.
 
 .. _subunit: https://launchpad.net/subunit/
-
-
+.. _tribunal: https://launchpad.net/tribunal/
+
+
+Using testrepository
+--------------------
+
+Bazaar ships with a config file for testrepository_. This can be very
+useful for keeping track of failing tests and doing general workflow
+support. To run tests using testrepository::
+
+  $ testr run
+
+To run only failing tests::
+
+  $ testr run --failing
+
+To run only some tests, without plugins::
+
+  $ test run test_selftest -- --no-plugins
+
+See the testrepository documentation for more details.
+
+.. _testrepository: https://launchpad.net/testrepository
 
 Writing Tests
 =============

